package jp.denpa.tomy.games;


import jp.denpa.tomy.opengl_es.wrap.MainRenderer;
import android.app.Activity;
import android.os.Bundle;
import android.view.*;

//Androidアプリ起動クラス
public class  TouchBoll2Activity extends Activity {

	//描画対象View			（MyViewはGLSurfaceView class を継承している）
	private MyView  myView;
	private MainRenderer myRenderer;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);

		myView = new MyView(this);
		myRenderer = new MainRenderer(this);
		myView.setRenderer(myRenderer);		//必ずしもsetRendererはここでやる必要は無いらしい
		setContentView(myView);
	}

    @Override
    protected void onPause(){
    	super.onPause();
    	myView.onPause();
    }

    //Activity復帰時の処理
    @Override
    protected void onResume(){
    	super.onResume();
    	myView.onResume();
    }
}

