package jp.denpa.tomy.opengl_es.wrap;

import javax.microedition.khronos.opengles.GL10;

import jp.denpa.tomy.games.MyView;
import jp.denpa.tomy.games.R;
//import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.opengl.GLUtils;


//テクスチャ管理クラス（１枚単位）
class GLTexture {
//	private Context context;			//このクラスでContextからgetResoucesするとエラーのち強制終了
	private Bitmap bitmap;
	private int textureName;
	private GL10 gl10;

	//テクスチャの読み込み
	public void LoadTexture(GL10 gl,Resources res,int id){
		gl10=gl;
		//テクスチャに関する処理---------------------------------------
		bitmap =	BitmapFactory.decodeResource(res, id);

		int[] buffers = new int[1];
		//texture夜のメモリを指定数確保
		gl10.glGenTextures(1,buffers,0);
		//テクスチャ名を保存する
		textureName = buffers[0];

	}

	public void SetTex(){
		gl10.glBindTexture(GL10.GL_TEXTURE_2D, textureName);
		GLUtils.texImage2D(GL10.GL_TEXTURE_2D, 0, bitmap, 0);				//テクスチャ確定

		//拡大縮小時の処理を指定
		gl10.glTexParameterf(GL10.GL_TEXTURE_2D, GL10.GL_TEXTURE_MIN_FILTER, GL10.GL_NEAREST);
		gl10.glTexParameterf(GL10.GL_TEXTURE_2D, GL10.GL_TEXTURE_MAG_FILTER, GL10.GL_NEAREST);

		//ビットマップを廃棄
		bitmap.recycle();
	}


	//開放処理
	public void Release(){}

}
